### Virtual Method

# Gtk Widgetsize_allocate

#### Declaration [src]

    void
    size_allocate (
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

Called to set the allocation, if the widget does not have a layout manager.

#### Parameters

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`baseline`

  Type: `int`

  No description available.